Create card

Create a new virtual or physical card. Parameters pin, shipping_address, and product_id only apply to physical cards.

Body Params
uuid

Only required for multi-account users. Token identifying the account the card will be associated with. Only applicable if using account enrollment. See Managing Accounts for more information.

uuid

Identifies the card program under which to create the card. Different card programs may have their own configurations (e.g., digital wallet card art, BIN type). This must be configured with Privacy before use.

string
length between 2 and 2

Two digit (MM) expiry month. If neither exp_month nor exp_year is provided, an expiration date will be generated.

string
length between 4 and 4

Four digit (yyyy) expiry year. If neither exp_month nor exp_year is provided, an expiration date will be generated.

uuid

The token for the desired FundingAccount to use when making transactions with this card.

string

Friendly name to identify the card.

integer
≥ 0

Amount (in cents) to limit approved authorizations. Transaction requests above the spend limit will be declined.

string
enum

Spend limit duration values:

  • ANNUALLY - Card will authorize transactions up to spend limit in a calendar year.
  • FOREVER - Card will authorize only up to spend limit for the entire lifetime of the card.
  • MONTHLY - Card will authorize transactions up to spend limit for the trailing month. Month is calculated as this calendar date one month prior.
  • TRANSACTION - Card will authorizate multiple transactions if each individual transaction is under the spend limit.
Allowed:
string
enum

Card state values:

  • OPEN - Card will approve authorizations (if they match card and account parameters).
  • PAUSED - Card will decline authorizations, but can be resumed at a later time.
Allowed:
string
enum
required
Defaults to SINGLE_USE

Card types:

  • DIGITAL_WALLET - Cards that can be provisioned to a digital wallet like Google Pay or Apple Wallet.
  • MERCHANT_LOCKED - Card is locked to first merchant that successfully authorizes the card.
  • PHYSICAL - Manufactured and sent to the cardholder. We offer white label branding, credit, ATM, PIN debit, chip/EMV, NFC and magstripe functionality. Contact [email protected] for more information.
  • SINGLE_USE - Card will close shortly after the first transaction.
  • UNLOCKED - Card will authorize at any merchant. Creating these cards requires additional privileges.
Allowed:
string

Encrypted PIN block (in base64). Only applies to cards of type PHYSICAL [beta], UNLOCKED, and DIGITAL_WALLET. See Encrypted PIN Block.

string

Specifies the configuration (e.g., physical card art) that the card should be manufactured with, and only applies to cards of type PHYSICAL [beta]. This must be configured with Privacy before use.

shipping_address
object
string
enum

Shipping method for the card. Only applies to cards of type PHYSICAL [beta]. Use of options besides STANDARD require additional permissions.

  • STANDARD - USPS regular mail or similar international option, with no tracking
  • STANDARD_WITH_TRACKING - USPS regular mail or similar international option, with tracking
  • EXPEDITED - FedEx Standard Overnight or similar international option, with tracking
Allowed:
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json